# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit b3902ca1782515ee8b9cd38af10e51bc3ba2fc98
    parent f982c1c37ccc4adc38260a132aa64ee29d1a1a8c
    Author: Matthias-Christian Ott <ott@enolink.de>
    Date:   Fri,  4 Jul 2008 18:18:51 +0200

    remove emallocz()

    Diffstat:
    MMakefile | 6+++---
    Mpty.c | 1-
    Mstd.c | 1-
    Dutil.c | 16----------------
    Dutil.h | 3---

    5 files changed, 3 insertions(+), 24 deletions(-)
    diff --git a/Makefile b/Makefile
    @@ -3,7 +3,7 @@

     include config.mk

    -SRC = st.c std.c util.c pty.c
    +SRC = st.c std.c pty.c
     OBJ = ${SRC:.c=.o}

     all: options st std
    @@ -21,11 +21,11 @@ options:

     ${OBJ}: config.mk

    -st: st.o util.o
    +st: st.o
     	@echo CC -o $@
     	@${CC} -o $@ $^ ${LDFLAGS} ${X11LDFLAGS}

    -std: std.o pty.o util.o
    +std: std.o pty.o
     	@echo CC -o $@
     	@${CC} -o $@ $^ ${LDFLAGS}

    diff --git a/pty.c b/pty.c
    @@ -1,5 +1,4 @@
     /* See LICENSE file for copyright and license details. */
    -#include "util.h"
     #include <sys/types.h>
     #include <sys/stat.h>
     #include <fcntl.h>
    diff --git a/std.c b/std.c
    @@ -1,5 +1,4 @@
     /* See LICENSE file for copyright and license details. */
    -#include "util.h"
     #include <sys/types.h>
     #include <sys/wait.h>
     #include <ctype.h>
    diff --git a/util.c b/util.c
    @@ -1,16 +0,0 @@
    -/* See LICENSE file for copyright and license details. */
    -#include "util.h"
    -#include <errno.h>
    -#include <stdarg.h>
    -#include <stdio.h>
    -#include <stdlib.h>
    -#include <string.h>
    -
    -void *
    -emallocz(unsigned int size) {
    -	void *res = calloc(1, size);
    -
    -	if(!res)
    -		err(EXIT_FAILURE, "could not malloc() %u bytes\n", size);
    -	return res;
    -}
    diff --git a/util.h b/util.h
    @@ -1,3 +0,0 @@
    -/* See LICENSE file for copyright and license details. */
    -
    -void *emallocz(unsigned int size);